Package org.eclipse.net4j.db

# Interface IDBConnectionProvider

All Known Subinterfaces:
  `IDBConnectionProvider2`, `IDBDatabase`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IDBConnectionProvider
Provides a database `connection`, roughly comparable with a `data source`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
Returns a connection.

## Method Details

### getConnection

Connection getConnection() throws DBException
Returns a connection.

Throws:
  `DBException`